%define name pingus
%define version 0.4.0
%define release 14mdk

Summary: Pingus - A free Lemmings clone
Name: %{name}
Version: %{version}
Release: %{release}
Source: http://dark.x.dtu.dk/~grumbel/pingus/%{name}-%{version}.tar.bz2
Source3: pingus-sound-0.3.1.tar.bz2
Source4: pingus-soundeffects.tar.bz2
Source10: %{name}.16.xpm.bz2
Source11: %{name}.32.xpm.bz2
Source12: %{name}.48.xpm.bz2
Patch0: pingus-fix-no-config-file.patch.bz2
Patch1: pingus-remove-silly-test-of-scr-files.patch.bz2
Patch2: pingus-fix-music-sound.patch.bz2
Patch3: pingus-0.4.0-fix-dspbusy.patch.bz2
URL: http://dark.x.dtu.dk/~grumbel/pingus
Copyright: GPL
Group: Games/Arcade
Packager: Guillaume Cottenceau <gc@mandrakesoft.com>
BuildRoot: %{_tmppath}/%{name}-buildroot
BuildRequires: libclanlib0-devel >= 0.4.0 libclanlib0-magick ImageMagick-devel libhermes1-devel XFree86-devel libaudiofile0-devel bzip2 libesound0-devel libjpeg62-devel libtiff3-devel zlib1-devel libSDL_mixer1.2
Requires: %{_bindir}/launch_x11_clanapp

%description
Pingus is a free Lemmings clone covered under the GPL. Pingus uses ClanLib,
which should make it portable over a lot of operating systems in the future. At
the moment the main target is Linux. It is possible to play Pingus in a X
window or in fullscreen using DGA or fbdev.

%prep
%setup -q
%patch0 -p0
%patch1 -p0
%patch2 -p0
%patch3 -p0

%build
# (gc) workaround g++ exception bug when -fomit-frame-pointer is set
export CFLAGS="$RPM_OPT_FLAGS -fno-omit-frame-pointer" CXXFLAGS="$RPM_OPT_FLAGS -fno-omit-frame-pointer"
# (gc) get the fix of autoconf
autoconf
%configure --bindir=%{_gamesbindir}
make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall bindir=$RPM_BUILD_ROOT%{_gamesbindir}
# (gc) remove by hand some themes that make the program segfault
rm -f $RPM_BUILD_ROOT%{_datadir}/games/%{name}/themes/{desert.plt,newlevs.plt,playable.plt,playable2.plt}

mkdir -p $RPM_BUILD_ROOT/%{_menudir}
cat << EOF > $RPM_BUILD_ROOT/%{_menudir}/%{name}
?package(%{name}):command="%{_bindir}/launch_x11_clanapp %{_gamesbindir}/%{name}" icon="%{name}.xpm" \
  needs="x11" section="Amusement/Arcade" title="Pingus" \
  longtitle="%{summary}"
EOF

mkdir -p $RPM_BUILD_ROOT%{_miconsdir}
mkdir -p $RPM_BUILD_ROOT%{_liconsdir}
bzcat %{SOURCE10} > $RPM_BUILD_ROOT%{_miconsdir}/%{name}.xpm
bzcat %{SOURCE11} > $RPM_BUILD_ROOT%{_iconsdir}/%{name}.xpm
bzcat %{SOURCE12} > $RPM_BUILD_ROOT%{_liconsdir}/%{name}.xpm

mkdir -p $RPM_BUILD_ROOT%{_datadir}/games/%{name}/music
tar yxvf %{SOURCE3} -C $RPM_BUILD_ROOT%{_datadir}/games/%{name}/music
mkdir -p $RPM_BUILD_ROOT%{_datadir}/games/%{name}/sound
tar yxvf %{SOURCE4} -C $RPM_BUILD_ROOT%{_datadir}/games/%{name}/sound


%post
%{update_menus}
%_install_info %{name}.info

%preun
%_remove_install_info %{name}.info

%postun
%{clean_menus}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc AUTHORS COPYING README BUGS FAQ
%{_gamesbindir}/pingus
%{_infodir}/*.bz2
%{_mandir}/man6/*
%{_datadir}/games/%{name}/data/*
%{_datadir}/games/%{name}/levels/*
%{_datadir}/games/%{name}/themes/*
%{_datadir}/games/%{name}/music/*
%{_datadir}/games/%{name}/sound/*
%{_menudir}/%{name}
%{_miconsdir}/%{name}.xpm
%{_iconsdir}/%{name}.xpm
%{_liconsdir}/%{name}.xpm

%changelog
* Thu Jul  5 2001 Guillaume Cottenceau <gc@mandrakesoft.com> 0.4.0-14mdk
- rebuild

* Fri Jun 01 2001 Stefan van der Eijk <stefan@eijk.nu> 0.4.0-13mdk
- Fixed BuildRequires

* Fri Mar 30 2001 Guillaume Cottenceau <gc@mandrakesoft.com> 0.4.0-12mdk
- will try not to crash when dsp is busy and user asked for sound/music
- use no-omit-frame-pointer to workaround g++ exceptions bug

* Fri Feb 16 2001 Guillaume Cottenceau <gc@mandrakesoft.com> 0.4.0-11mdk
- add 48x48 icon
- fix requires on launch_x11_clanapp

* Wed Dec 20 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 0.4.0-10mdk
- rebuild against new SDL_mixer

* Wed Nov 29 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 0.4.0-9mdk
- rebuild to follow new lib policy of clanlib and SDL_mixer
- can build with full opts now that gcc-2.96 does not suck anymore

* Fri Nov  3 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 0.4.0-8mdk
- recompile against newest libstdc++
- fix compile with gcc-2.96 by downgrading optimization to -O1
- against lowercased hermes and clanlib

* Tue Oct 17 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 0.4.0-7mdk
- use autoconf to get the gcc-2.96 fix in the configure script

* Wed Sep 13 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 0.4.0-6mdk
- fix sound and music

* Wed Sep  6 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 0.4.0-5mdk
- menu: now launches automatically the x11 target

* Wed Aug 30 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 0.4.0-4mdk
- fixed missing install_info

* Wed Aug 23 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 0.4.0-3mdk
- automatically added packager tag

* Mon Aug 07 2000 Frederic Lepied <flepied@mandrakesoft.com> 0.4.0-2mdk
- automatically added BuildRequires

* Tue Aug  1 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 0.4.0-1mdk
- took SRPM from Pingus website
- adapted to mdk
- took the `stable' 0.4.0 out of the CVS version with the help of
  Ingo Ruhnke <grumbel@gmx.de>
- fixed the not working resource files with the help of Ingo
- fixed behaviour when not config file (patch sourcecode)
- removed the buggy themes files (made pingus segfaulting)
- menu entry

* Fri Feb 18 2000 David Philippi <david@torangan.saar.de>
- Update to version 0.3.1

* Sun Dec 26 1999 David Philippi <david@torangan.saar.de>
- Fixed again the "install-info" bug

* Sun Dec 26 1999 David Philippi <david@torangan.saar.de>
- Fixed an old bug that prevented rpm from finding the provides

* Sun Dec 26 1999 David Philippi <david@torangan.saar.de>
- Update to version 0.3.0a

* Tue Nov 09 1999 David Philippi <david@torangan.saar.de>
- Update to version 0.2.4

* Fri Oct 08 1999 David Philippi <david@torangan.saar.de>
- Fixed a bug which caused rpm to generate a file /usr/info/dir

* Sun Oct 03 1999 David Philippi <david@torangan.saar.de>
- Update to version 0.2.3

* Sat Sep 18 1999 David Philippi <david@torangan.saar.de>
- Update to version 0.2.2

* Tue Jul 13 1999 Klaus Knopper <klaus@knopper.net>
- First RPMified pingus
